%define upstream_name	 HTML-TokeParser-Simple
%define upstream_version 3.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary: 	Easy to use HTML::TokeParser interface
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url: 		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/O/OV/OVID/%{upstream_name}-%{upstream_version}.tar.bz2

%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-HTML-Parser => 3.35
BuildRequires:	perl-Sub-Override
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}

%description
HTML::TokeParser::Simple is a subclass of HTML::TokeParser that uses
easy-to-remember method calls to work with the tokens.  Rather than
try to remember a bunch of array indices or try to write a bunch of
constants for them, you can now do something like:

 $token->is_start_tag( 'form' )

instead of 

 $token->[0] eq 'S' and $token->[1] eq 'form'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 'tr/\r//d;' Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/HTML
%{_mandir}/*/*


%changelog
* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 3.150.0-1mdv2010.0
+ Revision: 403264
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.15-3mdv2009.0
+ Revision: 257240
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 3.15-1mdv2008.1
+ Revision: 135847
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 03 2007 Stefan van der Eijk <stefan@mandriva.org> 3.15-1mdv2007.0
+ Revision: 103808
- Import perl-HTML-TokeParser-Simple

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.15-1mdk
- New release 3.15

* Thu Oct 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.14-1mdk
- New release 3.14
- spec cleanup
- fix directory ownership
- fix source url
- %%mkrel
- fix doc encoding

* Tue Jan 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.13-1mdk
- 3.13
- Remove MANIFEST, change summary and URL; de-PREFIXify

* Tue Apr 20 2004 Stefan van der Eijk <stefan@eijk.nu> 2.2-1mdk
- initial package

